summaryrefslogtreecommitdiffstats
path: root/build-aux
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2009-08-15 01:29:50 +0200
committerBruno Haible <bruno@clisp.org>2009-08-15 01:29:50 +0200
commit0444b5f9dad2548255d96b19f5bf308d6860e5b5 (patch)
tree6394691344c939c86e24be3c291650511e34c42a /build-aux
parent74d3fabb7663a898823ddd7e75c0f2058f606441 (diff)
downloadexternal_gettext-0444b5f9dad2548255d96b19f5bf308d6860e5b5.zip
external_gettext-0444b5f9dad2548255d96b19f5bf308d6860e5b5.tar.gz
external_gettext-0444b5f9dad2548255d96b19f5bf308d6860e5b5.tar.bz2
Remove automatically copied files from version control.
Diffstat (limited to 'build-aux')
-rw-r--r--build-aux/.gitignore4
-rw-r--r--build-aux/csharpcomp.sh.in158
-rw-r--r--build-aux/csharpexec.sh.in95
-rw-r--r--build-aux/javacomp.sh.in75
-rw-r--r--build-aux/javaexec.sh.in70
5 files changed, 4 insertions, 398 deletions
diff --git a/build-aux/.gitignore b/build-aux/.gitignore
index 3f2c3e5..843cf55 100644
--- a/build-aux/.gitignore
+++ b/build-aux/.gitignore
@@ -1,7 +1,11 @@
# Files brought in by gnulib-tool:
/config.libpath
/config.rpath
+/csharpcomp.sh.in
+/csharpexec.sh.in
/install-reloc
+/javacomp.sh.in
+/javaexec.sh.in
/link-warning.h
/moopp
/reloc-ldflags
diff --git a/build-aux/csharpcomp.sh.in b/build-aux/csharpcomp.sh.in
deleted file mode 100644
index 69e7eb7..0000000
--- a/build-aux/csharpcomp.sh.in
+++ /dev/null
@@ -1,158 +0,0 @@
-#!/bin/sh
-# Compile a C# program.
-
-# Copyright (C) 2003-2006 Free Software Foundation, Inc.
-# Written by Bruno Haible <bruno@clisp.org>, 2003.
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-# This uses the same choices as csharpcomp.c, but instead of relying on the
-# environment settings at run time, it uses the environment variables
-# present at configuration time.
-#
-# This is a separate shell script, because the various C# compilers have
-# different command line options.
-#
-# Usage: /bin/sh csharpcomp.sh [OPTION] SOURCE.cs ... RES.resource ...
-# Options:
-# -o PROGRAM.exe or -o LIBRARY.dll
-# set the output assembly name
-# -L DIRECTORY search for C# libraries also in DIRECTORY
-# -l LIBRARY reference the C# library LIBRARY.dll
-# -O optimize
-# -g generate debugging information
-
-# func_tmpdir
-# creates a temporary directory.
-# Sets variable
-# - tmp pathname of freshly created temporary directory
-func_tmpdir ()
-{
- # Use the environment variable TMPDIR, falling back to /tmp. This allows
- # users to specify a different temporary directory, for example, if their
- # /tmp is filled up or too small.
- : ${TMPDIR=/tmp}
- {
- # Use the mktemp program if available. If not available, hide the error
- # message.
- tmp=`(umask 077 && mktemp -d -q "$TMPDIR/gtXXXXXX") 2>/dev/null` &&
- test -n "$tmp" && test -d "$tmp"
- } ||
- {
- # Use a simple mkdir command. It is guaranteed to fail if the directory
- # already exists. $RANDOM is bash specific and expands to empty in shells
- # other than bash, ksh and zsh. Its use does not increase security;
- # rather, it minimizes the probability of failure in a very cluttered /tmp
- # directory.
- tmp=$TMPDIR/gt$$-$RANDOM
- (umask 077 && mkdir "$tmp")
- } ||
- {
- echo "$0: cannot create a temporary directory in $TMPDIR" >&2
- { (exit 1); exit 1; }
- }
-}
-
-sed_quote_subst='s/\([|&;<>()$`"'"'"'*?[#~=% \\]\)/\\\1/g'
-options_cscc=
-options_mcs=
-options_csc="-nologo"
-sources=
-while test $# != 0; do
- case "$1" in
- -o)
- case "$2" in
- *.dll)
- options_cscc="$options_cscc -shared"
- options_mcs="$options_mcs -target:library"
- options_csc="$options_csc -target:library"
- ;;
- *.exe)
- options_csc="$options_csc -target:exe"
- ;;
- esac
- options_cscc="$options_cscc -o "`echo "$2" | sed -e "$sed_quote_subst"`
- options_mcs="$options_mcs -out:"`echo "$2" | sed -e "$sed_quote_subst"`
- options_csc="$options_csc -out:"`echo "$2" | sed -e "$sed_quote_subst"`
- shift
- ;;
- -L)
- options_cscc="$options_cscc -L "`echo "$2" | sed -e "$sed_quote_subst"`
- options_mcs="$options_mcs -lib:"`echo "$2" | sed -e "$sed_quote_subst"`
- options_csc="$options_csc -lib:"`echo "$2" | sed -e "$sed_quote_subst"`
- shift
- ;;
- -l)
- options_cscc="$options_cscc -l "`echo "$2" | sed -e "$sed_quote_subst"`
- options_mcs="$options_mcs -reference:"`echo "$2" | sed -e "$sed_quote_subst"`
- options_csc="$options_csc -reference:"`echo "$2" | sed -e "$sed_quote_subst"`".dll"
- shift
- ;;
- -O)
- options_cscc="$options_cscc -O"
- options_csc="$options_csc -optimize+"
- ;;
- -g)
- options_cscc="$options_cscc -g"
- options_mcs="$options_mcs -debug"
- options_csc="$options_csc -debug+"
- ;;
- -*)
- echo "csharpcomp: unknown option '$1'" 1>&2
- exit 1
- ;;
- *.resources)
- options_cscc="$options_cscc -fresources="`echo "$1" | sed -e "$sed_quote_subst"`
- options_mcs="$options_mcs -resource:"`echo "$1" | sed -e "$sed_quote_subst"`
- options_csc="$options_csc -resource:"`echo "$1" | sed -e "$sed_quote_subst"`
- ;;
- *.cs)
- sources="$sources "`echo "$1" | sed -e "$sed_quote_subst"`
- ;;
- *)
- echo "csharpcomp: unknown type of argument '$1'" 1>&2
- exit 1
- ;;
- esac
- shift
-done
-
-if test -n "@HAVE_CSCC@"; then
- test -z "$CSHARP_VERBOSE" || echo cscc $options_cscc $sources
- exec cscc $options_cscc $sources
-else
- if test -n "@HAVE_MCS@"; then
- # mcs prints it errors and warnings to stdout, not stderr. Furthermore it
- # adds a useless line "Compilation succeeded..." at the end. Correct both.
- sed_drop_success_line='${
-/^Compilation succeeded/d
-}'
- func_tmpdir
- trap 'rm -rf "$tmp"' 1 2 3 15
- test -z "$CSHARP_VERBOSE" || echo mcs $options_mcs $sources
- mcs $options_mcs $sources > "$tmp"/mcs.err
- result=$?
- sed -e "$sed_drop_success_line" < "$tmp"/mcs.err >&2
- rm -rf "$tmp"
- exit $result
- else
- if test -n "@HAVE_CSC@"; then
- test -z "$CSHARP_VERBOSE" || echo csc $options_csc $sources
- exec csc $options_csc $sources
- else
- echo 'C# compiler not found, try installing pnet, then reconfigure' 1>&2
- exit 1
- fi
- fi
-fi
diff --git a/build-aux/csharpexec.sh.in b/build-aux/csharpexec.sh.in
deleted file mode 100644
index 15e7b71..0000000
--- a/build-aux/csharpexec.sh.in
+++ /dev/null
@@ -1,95 +0,0 @@
-#!/bin/sh
-# Execute a C# program.
-
-# Copyright (C) 2003, 2005 Free Software Foundation, Inc.
-# Written by Bruno Haible <bruno@clisp.org>, 2003.
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-# This uses the same choices as csharpexec.c, but instead of relying on the
-# environment settings at run time, it uses the environment variables
-# present at configuration time.
-#
-# This is a separate shell script, because the various C# interpreters have
-# different command line options.
-#
-# Usage: /bin/sh csharpexec.sh [OPTION] program.exe [ARGUMENTS]
-# Options:
-# -L DIRECTORY search for C# libraries also in DIRECTORY
-
-sed_quote_subst='s/\([|&;<>()$`"'"'"'*?[#~=% \\]\)/\\\1/g'
-options_ilrun=
-libdirs_mono=
-prog=
-while test $# != 0; do
- case "$1" in
- -L)
- options_ilrun="$options_ilrun -L "`echo "$2" | sed -e "$sed_quote_subst"`
- libdirs_mono="${libdirs_mono:+$libdirs_mono@MONO_PATH_SEPARATOR@}$2"
- shift
- ;;
- -*)
- echo "csharpexec: unknown option '$1'" 1>&2
- exit 1
- ;;
- *)
- prog="$1"
- break
- ;;
- esac
- shift
-done
-if test -z "$prog"; then
- echo "csharpexec: no program specified" 1>&2
- exit 1
-fi
-case "$prog" in
- *.exe) ;;
- *)
- echo "csharpexec: program is not a .exe" 1>&2
- exit 1
- ;;
-esac
-
-if test -n "@HAVE_ILRUN@"; then
- test -z "$CSHARP_VERBOSE" || echo ilrun $options_ilrun "$@"
- exec ilrun $options_ilrun "$@"
-else
- if test -n "@HAVE_MONO@"; then
- CONF_MONO_PATH='@MONO_PATH@'
- if test -n "$libdirs_mono"; then
- MONO_PATH="$libdirs_mono${CONF_MONO_PATH:+@MONO_PATH_SEPARATOR@$CONF_MONO_PATH}"
- else
- MONO_PATH="$CONF_MONO_PATH"
- fi
- export MONO_PATH
- test -z "$CSHARP_VERBOSE" || echo mono "$@"
- exec mono "$@"
- else
- if test -n "@HAVE_CLIX@"; then
- CONF_CLIX_PATH='@CLIX_PATH@'
- if test -n "$libdirs_mono"; then
- @CLIX_PATH_VAR@="$libdirs_mono${CONF_CLIX_PATH:+@MONO_PATH_SEPARATOR@$CONF_CLIX_PATH}"
- else
- @CLIX_PATH_VAR@="$CONF_CLIX_PATH"
- fi
- export @CLIX_PATH_VAR@
- test -z "$CSHARP_VERBOSE" || echo clix "$@"
- exec clix "$@"
- else
- echo 'C# virtual machine not found, try installing pnet, then reconfigure' 1>&2
- exit 1
- fi
- fi
-fi
diff --git a/build-aux/javacomp.sh.in b/build-aux/javacomp.sh.in
deleted file mode 100644
index 254190e..0000000
--- a/build-aux/javacomp.sh.in
+++ /dev/null
@@ -1,75 +0,0 @@
-#!/bin/sh
-# Compile a Java program.
-
-# Copyright (C) 2001-2002, 2006 Free Software Foundation, Inc.
-# Written by Bruno Haible <haible@clisp.cons.org>, 2001.
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-# This uses the same choices as javacomp.c, but instead of relying on the
-# environment settings at run time, it uses the environment variables
-# present at configuration time.
-#
-# This is a separate shell script, because it must be able to unset JAVA_HOME
-# in some cases, which a simple shell command cannot do.
-#
-# The extra CLASSPATH must have been set prior to calling this script.
-# Options that can be passed are -O, -g and "-d DIRECTORY".
-
-CONF_JAVAC='@CONF_JAVAC@'
-CONF_CLASSPATH='@CLASSPATH@'
-if test -n "@HAVE_JAVAC_ENVVAR@"; then
- # Combine given CLASSPATH and configured CLASSPATH.
- if test -n "$CLASSPATH"; then
- CLASSPATH="$CLASSPATH${CONF_CLASSPATH:+@CLASSPATH_SEPARATOR@$CONF_CLASSPATH}"
- else
- CLASSPATH="$CONF_CLASSPATH"
- fi
- export CLASSPATH
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVAC $@"
- exec $CONF_JAVAC "$@"
-else
- unset JAVA_HOME
- if test -n "@HAVE_GCJ_C@"; then
- # In this case, $CONF_JAVAC starts with "gcj -C".
- CLASSPATH="$CLASSPATH"
- export CLASSPATH
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVAC $@"
- exec $CONF_JAVAC "$@"
- else
- if test -n "@HAVE_JAVAC@"; then
- # In this case, $CONF_JAVAC starts with "javac".
- CLASSPATH="$CLASSPATH"
- export CLASSPATH
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVAC $@"
- exec $CONF_JAVAC "$@"
- else
- if test -n "@HAVE_JIKES@"; then
- # In this case, $CONF_JAVAC starts with "jikes".
- # Combine given CLASSPATH and configured CLASSPATH.
- if test -n "$CLASSPATH"; then
- CLASSPATH="$CLASSPATH${CONF_CLASSPATH:+@CLASSPATH_SEPARATOR@$CONF_CLASSPATH}"
- else
- CLASSPATH="$CONF_CLASSPATH"
- fi
- export CLASSPATH
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVAC $@"
- exec $CONF_JAVAC "$@"
- else
- echo 'Java compiler not found, try installing gcj or set $JAVAC, then reconfigure' 1>&2
- exit 1
- fi
- fi
- fi
-fi
diff --git a/build-aux/javaexec.sh.in b/build-aux/javaexec.sh.in
deleted file mode 100644
index a67d0c9..0000000
--- a/build-aux/javaexec.sh.in
+++ /dev/null
@@ -1,70 +0,0 @@
-#!/bin/sh
-# Execute a Java program.
-
-# Copyright (C) 2001, 2006 Free Software Foundation, Inc.
-# Written by Bruno Haible <haible@clisp.cons.org>, 2001.
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-# This uses the same choices as javaexec.c, but instead of relying on the
-# environment settings at run time, it uses the environment variables
-# present at configuration time.
-#
-# This is a separate shell script, because it must be able to unset JAVA_HOME
-# in some cases, which a simple shell command cannot do.
-#
-# The extra CLASSPATH must have been set prior to calling this script.
-
-CONF_JAVA='@CONF_JAVA@'
-CONF_CLASSPATH='@CLASSPATH@'
-if test -n "@HAVE_JAVA_ENVVAR@"; then
- # Combine given CLASSPATH and configured CLASSPATH.
- if test -n "$CLASSPATH"; then
- CLASSPATH="$CLASSPATH${CONF_CLASSPATH:+@CLASSPATH_SEPARATOR@$CONF_CLASSPATH}"
- else
- CLASSPATH="$CONF_CLASSPATH"
- fi
- export CLASSPATH
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
- exec $CONF_JAVA "$@"
-else
- unset JAVA_HOME
- export CLASSPATH
- if test -n "@HAVE_GIJ@"; then
- # In this case, $CONF_JAVA is "gij".
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
- exec $CONF_JAVA "$@"
- else
- if test -n "@HAVE_JAVA@"; then
- # In this case, $CONF_JAVA is "java".
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
- exec $CONF_JAVA "$@"
- else
- if test -n "@HAVE_JRE@"; then
- # In this case, $CONF_JAVA is "jre".
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
- exec $CONF_JAVA "$@"
- else
- if test -n "@HAVE_JVIEW@"; then
- # In this case, $CONF_JAVA is "jview".
- test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
- exec $CONF_JAVA "$@"
- else
- echo 'Java virtual machine not found, try installing gij or set $JAVA, then reconfigure' 1>&2
- exit 1
- fi
- fi
- fi
- fi
-fi